<%@ page import="weaver.general.*" %>
<%@page import="weaver.conn.RecordSet"%>
<%@ page import="com.alibaba.fastjson.JSONObject" %>
<%@ page import="java.util.*" %>
<%@ page import="org.apache.commons.lang3.StringUtils" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="weaver.formmode.setup.ModeRightInfo" %>
<jsp:useBean id="ResourceComInfo" class="weaver.hrm.resource.ResourceComInfo" scope="page"/>
<jsp:useBean id="bb" class="weaver.general.BaseBean" scope="page" />
<%@ page language="java" contentType="text/html; charset=UTF-8" %>

<%
    JSONObject jsonObject = new JSONObject();
    jsonObject.put("code","0");
    String uuid = request.getParameter("uuid");
    bb.writeLog("uuid:"+uuid);
    String fromtable = "uf_rzznzf" ;
    Map<String,String> map = new HashMap<String, String>();

    String fsr = "" ;
    String fsrxm = "";
    String jsr = "" ;
    String jsrxm  = "" ;
    String zfy = "" ;
    String zftp = "" ;
    int count = 0;

    try{
        RecordSet rs = new RecordSet();
        if(StringUtils.isNotBlank(uuid)){

            String sql = " select * from "+fromtable+" where uuid = '"+uuid+"' ";
            rs.executeQuery(sql);
            if(rs.next()){
                fsr = Util.null2String(rs.getString("fsr"));
                if(StringUtils.isNotBlank(fsr)){
                    fsrxm = ResourceComInfo.getLastname(fsr);
                }
                jsr = Util.null2String(rs.getString("jsr"));
                if(StringUtils.isNotBlank(jsr)){
                    jsrxm = ResourceComInfo.getLastname(jsr);
                }
                zfy = Util.null2String(rs.getString("zfy"));
                zftp = Util.null2String(rs.getString("zftp"));
                count++ ;
            }
        }else{
            jsonObject.put("code","-300");
        }
    }catch (Exception e){
        jsonObject.put("code","-100");
    }

    map.put("fsr",fsr);
    map.put("fsrxm",fsrxm);
    map.put("jsr",jsr);
    map.put("jsrxm",jsrxm);
    map.put("zfy",zfy);
    map.put("zftp",zftp);
    jsonObject.put("data",map);
    if(count > 0){
        jsonObject.put("code","200");
    }else{
        jsonObject.put("code","-200");
    }
%>
<%=jsonObject.toString()  %>




